/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: OBRRepoEvent.as 20454 2010-10-12 15:52:44Z lglglglg $
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.osgiconsole.event
{
	import com.adobe.cairngorm.control.CairngormEvent;
	
	public class OBRRepoEvent extends CairngormEvent
	{
		public static const EVENT_REPO_OBR:String="OBRRepoEvent";
		private var action:String;
		private var path:String;
		public function OBRRepoEvent(type:String,action:String,path:String)
		{
			super(type);
			this.action=action;
			this.path=path;
		}
		public function getAction():String{
			return action;
		}
		public function getPath():String{
			return path;
		}
	}
}